plot.confband.points {sma} | R Documentation

## Highlights a Set of Points on the Current M vs A Plot

### Description

This function highlights a prespecified proportion of extreme points on the M vs A plots.

### Usage

    plot.confband.points(x, M, crit1=0.025, crit2=crit1, nclass=10, col.ex, ...)

### Arguments

`x` | a vector giving the x-coordinates of the points in the scatter plot. In the microarray context, this could be a vector of average log intensities. ie A
`M` | a vector giving the y-coordinates of the points in the scatter plot. In the microarray context, this could be a vector of log intensity ratios.
`crit1` | The number of points to be highlighted on the M vs A plot. If crit1 < 1, the crit1*100% spots with the smallest M values will be highlighted. If crit1 >= 1, the crit spots with the smallest M values are highlighted.
`crit2` | Similar to "crit1". If crit2 < 1, the crit2*100% spots with the largest M values will be highlighted. If crit2 >= 1, the crit2 spots with the smallest M values are highlighted.
`nclass` | A single number giving the approximate number of intensity depedent groups to consider.
`col.ex` | A color for extreme points
`...` | graphical parameters may also be supplied as arguments to the function (see `par`).

### Value

Points are added to the current plot.

### Note

An M vs A plot must be constructed prior to the execution of this function.

### See Also

`plot.mva`, `stat.ma`, `lines`, `matlines`, `plot.confband.text`, `plot.confband.lines` .

### Examples

    data(MouseArray)
    ## mouse.setup <- init.grid()
    ## mouse.data <- init.data()

    plot.mva(mouse.data, mouse.setup) ## an M vs A plot

    mouse.lratio <- stat.ma(mouse.data, mouse.setup)

    plot.confband.points(mouse.lratio$A, mouse.lratio$M)

    ## 2.5% of the spots with the smallest and largest M values are
    ## highlighted on the M vs A plot.

[Package sma version 0.5.14 Index]